### Method

# Clutter GridLayout set_orientation

#### Declaration [src]

    void
    clutter_grid_layout_set_orientation (
      ClutterGridLayout* layout,
      ClutterOrientation orientation
    )

#### Description [src]

Sets the orientation of the `layout`.

`ClutterGridLayout` uses the orientation as a hint when adding children to the `ClutterActor` using it as a layout manager via `clutter_actor_add_child()`; changing this value will not have any effect on children that are already part of the layout.

Sets property | `Clutter.GridLayout:orientation`

#### Parameters

`orientation`

  Type: `ClutterOrientation`

  The orientation of the `ClutterGridLayout`.